Skip to main content
PUT
Update Project

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Body

application/json

Model for updating an existing project.

name
string | null

Project readable name

Required string length: 1 - 255
configuration
ProjectConfiguration · object | null

Project configuration

status
enum<string> | null

Project status

Available options:
active,
archived

Response

Successful Response

Project response model.

id
string
required

ID of the entity

name
string
required

Project readable name

status
enum<string>
required

Project status

Available options:
active,
archived
created_at
string<date-time>
required

Datetime when the project was created

configuration
ProjectConfiguration · object | null

Project configuration

archived_at
string<date-time> | null

Datetime when the project was archived